Package uk.ac.starlink.topcat.plot2

## Interface FigureMode

- All Known Implementing Classes:
    `PlaneFigureMode`, `SkyFigureMode`

      public interface FigureMode

  Defines how a figure is constructed from a user-supplied set of vertices in graphics space.
  Since:
    14 Sep 2018
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Figure` | `createFigure​(uk.ac.starlink.ttools.plot2.Surface surf, java.awt.Point[] points)` | Returns a figure given a set of user-supplied graphics points on a plot surface.
    `java.lang.String` | `getName()` | Returns a name by which this mode can be presented to the user.

- - ### Method Detail

    - #### createFigure

          Figure createFigure​(uk.ac.starlink.ttools.plot2.Surface surf,
                              java.awt.Point[] points)

      Returns a figure given a set of user-supplied graphics points on a plot surface. If the points are not appropriate or sufficient to define an area for this mode, null is returned. However a non-null Figure does not guarantee representation of a non-empty area.
      Parameters:
        `surf` - plotting surface
        `points` - vertices in graphics space defining the area
      Returns:
        defined figure

    - #### getName

          java.lang.String getName()

      Returns a name by which this mode can be presented to the user. It should distinguish this object from other options that may be available in the same context, but not necessarily from all other possible instances.
      Returns:
        user-directed name